lfdiff(1)

NAME
lfdiff - compare local files with copies on radmind server

SYNOPSIS
lfdiff [ -rvV ] { -T transcript | -S } [ -h host ] [ -p port ] [ -w auth-level ] [ -x ca-pem-file ] [ -y cert-pem-file ] [ -z private-key-file ] [ supported diff options ] [ -X unsupported diff options ] file

DESCRIPTION
lfdiff retrieves file, given as an unenconded path, from the radmind server host and writes it to /tmp. file is then compared to the local copy of file using diff(1). The server copy and the local copy of file are passed to diff(1) as file1 and file2 arguments respectively. file is removed from /tmp on exit. lfdiff supports all single letter diff(1) options not duplicated in lfdiff. All other diff(1) options are given using the -X option.

OPTIONS

-h host
    specifies the radmind server, by default radmind.

-p port
    specifies the port of the radmind server, by default 6662.

-r  use random seed file $RANDFILE if that environment variable is set, $HOME/.rnd otherwise. See RAND_load_file(3o).

-S  file is a special file.

-T transcript
    transcript that file is listed in.

-V  displays the version of lfdiff and exits.

-v  display communication with the radmind server.

-X unsupported diff options
    passes options directly to diff(1).

-w auth-level
    TLS authorization level, by default 0. 0 = no TLS, 1 = server verification, 2 = server and client verification.

-x ca-pem-file
    Certificate authority's public certificate, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/ca.pem.

-y cert-pem-file
    Client's public certificate, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/cert.pem.

-z private-key-file
    Client's private key, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind/cert/cert.pem.

EXIT STATUS
The following exit values are returned:

0   No differences were found.

1   Differences were found.

>1  An error occurred.

SEE ALSO
diff(1), fsdiff(1), ktcheck(1), lapply(1), lcksum(1), lcreate(1), lmerge(1), twhich(1), radmind(8), RAND_load_file(3o).